%global momorel 2

%global tarball xf86-input-diamondtouch

Name:           xorg-x11-drv-diamondtouch
Version:        0.3.0
Release:        %{momorel}m%{?dist}
Summary:        Xorg X11 diamondtouch input driver

Group:          User Interface/X Hardware Support
License:        MIT
URL:            http://people.freedesktop.org/~whot/diamondtouch/
Source0:        http://people.freedesktop.org/~whot/diamondtouch/%{tarball}-%{version}.tar.bz2
NoSource:	0

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xorg-x11-server-sdk
Requires:       xorg-x11-server-Xorg

%description
X.Org X11 mouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-blobs
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name \*.la -delete
find %{buildroot} -name \*.h -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/xorg/modules/input/diamondtouch_drv.so
%{_mandir}/man4/diamondtouch.4.*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-2m)
- rebuild against rpm-4.6

* Wed Jun 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-1m)
- update to 0.3.0

* Mon May 19 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.0-0.1m)
- Initial Commit Momonga Linux

